OpenMarine

Full Version: Installing other OpenCPN versions
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
Is it possible to install other versions of OpenCPN in Openplotter without breaking anything?

Currently the latest OpenCPN version in OP is 5.0.0-0 Bionic 1

There have been tweaks and bug fixes made since then that would really improve the usability for me. That being said, I don't want install a beta or other version if it's going to break functionality in OpenPlotter.
same problem for me. I began with openplotter v1 and opencpn 4.8. It was just fine for me. All OPENCPN plugins WAS AVALAIBLE . Unfortunatly my SD card failed and my rescue SD is corrupted. I am completly lost with the new version of Openplotter and the new version of Opencpn. I have no enrgy to learn on new versions.
Please let me download the old version v1.0. I do not use all the plugins because I do not need them for now.
The v1.0 is a plug and play system. Why to make it so complicated ? probably it is because it offer more possibility but are all users able to use it and do they need this ?
MS dos and Window made every thing easy by their plug and play approach. People enjoy that.
Having began with CPM dos, then MS dos, and finaly Windows I can remember that conne ct a new serial printer was a waste of time.
Ubuntu, I use on my booknote , has understood and made things easier. Please keep it in your mind. If not Openplotter will loose his interest and people wil say "too difficult, I avoid"
Please leave me the possibility to download Openplotter V 1.0 including Opencpn 4.8. I am sure this will be appreciate by newbees and old person as me
thank for your attention
What you're asking is not possible and I don't think you're approaching it the right way either.

As you say Ubuntu has improved a lot making things easier for the user. I agree with you on that. But it hasn't done it by going backwards in its versions but rather by evolving in new versions. If you were to install an old version of Ubuntu you would complain about how difficult it is to use while the current versions have made everything easier.

The same goes for OpenPlotter. It has evolved to make everything easier. And it really has. It used to be a 1,000 piece puzzle that if you were lucky -as in your case- perfect, but if not... it was very annoying to make work. Now the modular system makes everything easier and allows you to change its configuration creating less problems.

You talk about going back to openpotter 1.0 but you don't take into account that it is based on an outdated version of the system and that in fact it doesn't even work on Rpi4.

The best way is to evolve and believe me, it doesn't cost so much effort or energy. The same opencpn has evolved twice already from 4.8 to 5.0 and recently to 5.2 and the changes have been worth it.